package com.diagbot.entity.wrapper;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.diagbot.entity.DrugConfig;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/9/22 15:02
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DrugConfigWrapper extends DrugConfig {
    /**
     * 医院诊断名称
     */
    @Excel(name = "标准术语状态", width = 40, replace = { "禁用_0", "启用_1", "_null" }, orderNum = "99")
    private Integer status;
    /**
     * 医院诊断名称
     */
    @Excel(name = "标准剂型状态", width = 40, replace = { "禁用_0", "启用_1", "_null" }, orderNum = "100")
    private Integer formStatus;
}
