package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @author: gaodm
 * @time: 2021/12/1 14:22
 */
@Getter
@Setter
public class CdssLogBaseVO {
    /**
     * 病人唯一标识（病人id、病历号等）
     */
    private String patientId;

    /**
     * 医院id
     */
    @NotNull(message = "请输入医院id")
    private Long hospitalId;

    /**
     * 子医院编码
     */
    private String subHospitalCode;

    /**
     * 子医院名称
     */
    private String subHospitalName;

    /**
     * 场景名称
     */
    private String sceneName;
}
