package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.entity.TranLog;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.TranLogPageVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 系统日志表 Mapper 接口
 * </p>
 *
 * @author zhoutg
 * @since 2021-10-20
 */
public interface TranLogMapper extends BaseMapper<TranLog> {
    IPage<TranLog> getPage(@Param("tranLogPageVO") TranLogPageVO tranLogPageVO);
}
